Bug 430939 - Review Request: desktop-data-model - Engine for communicating with Online Desktop Data Model
Summary: Review Request: desktop-data-model - Engine for communicating with Online Des...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-30 18:33 UTC by Colin Walters
Modified: 2008-04-04 18:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 18:42:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
otaylor: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Colin Walters 2008-01-30 18:33:31 UTC
Spec URL: http://cdn.verbum.org/desktop-data-model.spec
SRPM URL: desktop-data-model-1.2.0-1.fc9.src.rpm
Description: The Online Desktop Data Model allows communicating with a 
server implementing the protocol.

Comment 1 Colin Walters 2008-01-30 18:35:36 UTC
SRPM URL: http://cdn.verbum.org/desktop-data-model-1.2.0-1.fc9.src.rpm


Comment 2 Jason Tibbitts 2008-02-02 23:25:56 UTC
This failed to build in mock (x86_64, rawhide):

gcc -o .libs/desktop-data-engine desktop_data_engine-hippo-application-monitor.o
desktop_data_engine-hippo-cookies-linux.o
desktop_data_engine-hippo-distribution.o
desktop_data_engine-hippo-dbus-cookies.o desktop_data_engine-hippo-dbus-helper.o
desktop_data_engine-hippo-dbus-im-client.o
desktop_data_engine-hippo-dbus-local.o desktop_data_engine-hippo-dbus-model.o
desktop_data_engine-hippo-dbus-model-client.o
desktop_data_engine-hippo-dbus-pidgin.o desktop_data_engine-hippo-dbus-server.o
desktop_data_engine-hippo-dbus-settings.o
desktop_data_engine-hippo-dbus-system.o desktop_data_engine-hippo-dbus-web.o
desktop_data_engine-hippo-im.o desktop_data_engine-hippo-platform-impl.o
desktop_data_engine-main.o desktop_data_engine-json.o -pthread 
./.libs/libhippo.a -L/lib64 ./.libs/libengine.a -lpcre -lsqlite3
/builddir/build/BUILD/desktop-data-model-1.2.0/.libs/libddm-1.so -lloudmouth-1
-lidn -ldbus-glib-1 -ldbus-1 -lgnome-desktop-2 -lgnomeui-2 -lSM -lICE
-lstartup-notification-1 -lbonoboui-2 -lgnomevfs-2 -lgnomecanvas-2 -lgnome-2
-lpopt -lbonobo-2 -lbonobo-activation -lORBit-2 -lart_lgpl_2 -lgtk-x11-2.0
-lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo
-lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -lgobject-2.0 -lglib-2.0 -lresolv
desktop_data_engine-hippo-application-monitor.o: In function `poll_for_idleness':
hippo-application-monitor.c:(.text+0x727): undefined reference to
`XScreenSaverQueryInfo'
desktop_data_engine-hippo-application-monitor.o: In function
`hippo_application_monitor_add':
hippo-application-monitor.c:(.text+0x84f): undefined reference to
`XScreenSaverQueryExtension'
hippo-application-monitor.c:(.text+0x8b4): undefined reference to
`XScreenSaverAllocInfo'
collect2: ld returned 1 exit status
make[1]: *** [desktop-data-engine] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/desktop-data-model-1.2.0'
make: *** [all] Error 2


Comment 3 Colin Walters 2008-02-04 17:36:27 UTC
Missing a BR, fixed now.

Comment 4 Owen Taylor 2008-02-13 16:29:26 UTC
Taking the review

Comment 5 Owen Taylor 2008-02-13 17:08:01 UTC
rpmlint output was empty.

What I found going through the package review guidelines and reading the 
spec file:

* UPSTREAM: license needs to be fixed to LGPL (at least for libddm)

* UPSTREAM: should have a real tagged and released to gnome.org tarball before
this goes into rawhide.

* Group:          Applications/Internet. Not an application. Maybe 'System
Environment/Libraries'?

* Summary: and %description need improvement

  Suggestion:

   Summary: Engine providing live updates of online data to the desktop
  
   %description
   desktop-data-model provides an engine and client library that allow
   desktop applications to retrieve data from the online.gnome.org server
   and elsewhere and get updates when the data changes. This allows
   creating applications that provide a live display of information
   from the Internet.

* The Requires on GConf for the scriptlets aren't needed.

* The handling of the 'version' file isn't ideal ... the version file is used
to do an auto-restart of the desktop-data-engine when a new version is installed
on the system, so shouldn't be changed until after all the other files are 
installed. In mugshot.spec we have:

%post
[...]
echo %{version} > %{_datadir}/mugshot/version

%files
%ghost %{_datadir}/mugshot/version

* the -devel package should Requires: pkgconfig for directory ownership.
* The Requires on dbus-devel for the -devel subpackage isn't needed.

* The devel package shjould require the main package
  Requires: %{name} = %{version}-%{release}

* The %postun should be changed to '%postun -p /sbin/ldconfig' to avoid an
unnecessary shell invocation (the %post would take the same change, but the
version change above will add a second line to it.)

Comment 7 Colin Walters 2008-02-25 21:27:28 UTC
New Package CVS Request
=======================
Package Name: desktop-data-model
Short Description: Engine providing live updates of online data to the desktop
Owners: walters@redhat.com,otaylor@redhat.com
Branches: F-8 EL-5
InitialCC: 
Cvsextras Commits: yes


Comment 8 Kevin Fenzi 2008-02-25 21:43:56 UTC
Please use fedora account names in Owners? 

cvs done. 


Note You need to log in before you can comment on or make changes to this bug.